Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class ControllerArtefactHandler

    java.lang.Object
      org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
          org.codehaus.groovy.grails.commons.ControllerArtefactHandler

    public class ControllerArtefactHandler
    extends ArtefactHandlerAdapter

Authors:
  Marc Palmer (marc@anyware.co.uk)

Field Summary
`static java.lang.String` | `PLUGIN_NAME`
`static java.lang.String` | `TYPE`

Fields inherited from class ArtefactHandlerAdapter
log

Constructor Summary
`ControllerArtefactHandler()`

Method Summary
`GrailsClass` | `getArtefactForFeature(java.lang.Object feature)`
`java.lang.String` | `getPluginName()`
`void` | `initialize(ArtefactInfo artefacts)`

Methods inherited from class ArtefactHandlerAdapter
getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefactClass, isArtefactGrailsClass, newArtefactClass

Field Detail

### PLUGIN_NAME

    public static final java.lang.String PLUGIN_NAME

### TYPE

    public static final java.lang.String TYPE

Constructor Detail

### ControllerArtefactHandler

    public ControllerArtefactHandler()

Method Detail

### getArtefactForFeature

    @Override
    public GrailsClass getArtefactForFeature(java.lang.Object feature)

### getPluginName

    @Override
    public java.lang.String getPluginName()

### initialize

    @Override
    public void initialize(ArtefactInfo artefacts)

Groovy Documentation